CN REST - Story #7101

Add diagnostic support functions on CNs to assist with MN test and deployment
Status: Closed Start date: 2015-06-26
Priority: Normal Due date:

Assignee: Ben Leinfelder % Done: 100%
Category: d1_cn_service Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

MN deployment involves a considerable amount of testing of functionality and content. Functionality testing is supported by the mn
web tester and the various test environments. Checking content however, often requires that the content be available on a MN, then
wait for it to synchronize to a CN, and then examine logs or other indirect evidence of success.
The proposal is to add three methods to assist with content checking and authentication:

1. Diagnostic method for verifying credentials when calling an APl method.

2. Diagnostic method for verifying system metadata structure

3. Diagnostic method for verifying, parsing and processing content by the indexer.

Subtasks:

Task # 7237: Implement CNDiagnostic.echoCredentials Closed
Task # 7238: Implement CNDiagnostic.echoSystemMetadata Closed
Task # 7239: Implement CNDiagnostic.echolndexedObject Closed
History

#1 - 2015-06-16 15:13 - Dave Vieglais
- Target version changed from CCI-2.0.0 to CCI-2.0-RC1

#2 - 2015-07-01 16:20 - Dave Vieglais
- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#3 - 2015-07-01 17:43 - Dave Vieglais
- Project changed from Infrastructure to CN REST
- Category set to d1_cn_service

- Assignee changed from Dave Vieglais to Ben Leinfelder

#4 - 2015-07-01 17:44 - Dave Vieglais

Perhaps consider splitting out to a new component so it can be updated separately to the CN stack
#5 - 2015-07-06 20:42 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Verifying deployment on cn-dev.

#6 - 2015-07-07 23:42 - Ben Leinfelder

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

The three diagnostic methods are operational in the cn-dev environment.
